## Create/modify Workflow `client.workflows.update(stringworkflowName, WorkflowUpdateParamsparams, RequestOptionsoptions?): WorkflowUpdateResponse` **put** `/accounts/{account_id}/workflows/{workflow_name}` Creates a new workflow or updates an existing workflow definition. ### Parameters - `workflowName: string` - `params: WorkflowUpdateParams` - `account_id: string` Path param - `class_name: string` Body param - `script_name: string` Body param - `limits?: Limits` Body param - `steps?: number` ### Returns - `WorkflowUpdateResponse` - `id: string` - `class_name: string` - `created_on: string` - `is_deleted: number` - `modified_on: string` - `name: string` - `script_name: string` - `terminator_running: number` - `triggered_on: string | null` - `version_id: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const workflow = await client.workflows.update('x', { account_id: 'account_id', class_name: 'x', script_name: 'x', }); console.log(workflow.id); ``` #### Response ```json { "errors": [ { "code": 0, "message": "message" } ], "messages": [ { "code": 0, "message": "message" } ], "result": { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "class_name": "class_name", "created_on": "2019-12-27T18:11:19.117Z", "is_deleted": 0, "modified_on": "2019-12-27T18:11:19.117Z", "name": "x", "script_name": "script_name", "terminator_running": 0, "triggered_on": "2019-12-27T18:11:19.117Z", "version_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e" }, "success": true, "result_info": { "count": 0, "per_page": 0, "total_count": 0, "cursor": "cursor", "page": 0 } } ```